﻿using System;
using System.ServiceProcess;

namespace SmppWindowsService
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main()
        {
            //Fix Current dir for windows service
            System.IO.Directory.SetCurrentDirectory(AppDomain.CurrentDomain.BaseDirectory);


            var servicesToRun = new ServiceBase[]
            {
                new SmppServerWindowsService(), 
                new SmppClientWindowsService(), 
            };

            ServiceBase.Run(servicesToRun);
        }
    }
}
